Bug 439217 - Change the wording in SDDM settings
Summary: Change the wording in SDDM settings
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_sddm (show other bugs)
Version: 5.22.2
Platform: Fedora RPMs Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-06-27 11:12 UTC by Sylvia
Modified: 2021-08-04 13:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvia 2021-06-27 11:12:44 UTC
SUMMARY
Most users will understand the phrase "synchronise settings" as an online activity, that is syncing your config against a user or server elsewhere. A better wording could prevent this confusion.
 

OBSERVED RESULT
Use of the word «synchronise» 

EXPECTED RESULT
A better wording that makes the process and result clearer.

SOFTWARE/OS VERSIONS 
Linux/KDE Plasma: Fedora 34 KDE Spin (Linux kernel 5.12.12-300)
(available in About System)
KDE Plasma Version:  5.22.2
KDE Frameworks Version:  5.83.0
Qt Version:  5.15.2

ADDITIONAL INFORMATION
Comment 1 David Edmundson 2021-06-27 22:23:24 UTC
Was this how you associated it?
Comment 2 Sylvia 2021-06-29 10:17:47 UTC
(In reply to David Edmundson from comment #1)
> Was this how you associated it?

Yes, I did. I went to the KDE Telegram group to ask. Some users there had no problem understanding what "synchronise settings" means, but others agreed that it could be confusing.
Comment 3 dagobertram 2021-07-02 12:14:42 UTC
May I ask why there is a need to synchronize settings with SDDM in the first place (besides the wording)? Shouldn't this be the default?
Comment 4 David Edmundson 2021-07-02 12:21:18 UTC
You can have N users, with one login. If everyone synced, it wouldn't make sense.

We also have a permissions problem, we can't read the user's home directory from the login screen (especially as we don't even know which user!). We don't want a password prompt every time you change something mundane.
Comment 5 dagobertram 2021-07-02 12:22:43 UTC
Thanks for clarifying!
Comment 6 Nate Graham 2021-07-29 23:14:52 UTC
What sort of alternative wording would you suggest?
Comment 7 Sylvia 2021-07-31 07:38:09 UTC
(In reply to Nate Graham from comment #6)
> What sort of alternative wording would you suggest?

Since it will be a plain text file, maybe «save» or »store»? «Export» could also work, I think.
Comment 8 Nate Graham 2021-08-02 16:18:51 UTC
The fact that the action writes data to a file is an implementation detail that the user will not know or care about. I don't think any of those proposed changes are better than what we have now. :/
Comment 9 Sylvia 2021-08-02 18:11:58 UTC
(In reply to Nate Graham from comment #8)
> The fact that the action writes data to a file is an implementation detail
> that the user will not know or care about. I don't think any of those
> proposed changes are better than what we have now. :/


Well, since the user is likely to get the impression that his information might be sent somewhere else online, I think it's important they understand what that button actually does. Phrasing is important.
Comment 10 Nate Graham 2021-08-03 13:39:00 UTC
Sure, it's not a rejection of your description of the problem, just that proposed solution to it. :)
Comment 11 Bug Janitor Service 2021-08-03 14:24:08 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/sddm-kcm/-/merge_requests/16
Comment 12 Nate Graham 2021-08-03 14:24:28 UTC
See what you think of that ^
Comment 13 Sylvia 2021-08-04 09:42:26 UTC
(In reply to Nate Graham from comment #12)
> See what you think of that ^


Perfect!
Comment 14 Nate Graham 2021-08-04 13:25:56 UTC
Git commit d26553be85c7f23e88e3efcbbc72df7758969cd4 by Nate Graham.
Committed on 03/08/2021 at 16:26.
Pushed by ngraham into branch 'master'.

Re-word synchronization text for greater usability

Right now we use the word "Synchronization" which is rather technical
and may give some people the impression that an online transaction is
about to take place.

This commit re-words the feature and its related strings to call it
"Apply Plasma Settings", which should be clearer.
FIXED-IN: 5.23

M  +10   -10   src/package/contents/ui/main.qml

https://invent.kde.org/plasma/sddm-kcm/commit/d26553be85c7f23e88e3efcbbc72df7758969cd4